Lead
Storefront Lead API endpoints
Endpoints
Store the shop lead.
Request body
Store lead body
emailoptionalstringfirst_nameoptionalstringlast_nameoptionalstringmetadataoptionalobjectReturnsLead
Lead object response
Error responses
402objectThe merchant account has no payment method, so the shop cannot accept leads (payment_method_required).
422objectemail is missing, is not a valid email, is longer than 255 characters, or is already a lead of this shop. first_name or last_name is not a string or is longer than 255 characters. metadata is not an object or has more than 50 keys.
429objectThe lead rate limit is reached: 5 requests per hour from one IP address, or 100 per hour or 1000 per day for the shop.
Response